'use strict';

const index = require('../../../../property-information@7.1.0/node_modules/property-information/index.cjs');
const createH = require('./create-h.cjs');
const svgCaseSensitiveTagNames = require('./svg-case-sensitive-tag-names.cjs');

// Register the JSX namespace on `h`.
/**
 * @typedef {import('./jsx-classic.js').Element} h.JSX.Element
 * @typedef {import('./jsx-classic.js').ElementChildrenAttribute} h.JSX.ElementChildrenAttribute
 * @typedef {import('./jsx-classic.js').IntrinsicAttributes} h.JSX.IntrinsicAttributes
 * @typedef {import('./jsx-classic.js').IntrinsicElements} h.JSX.IntrinsicElements
 */


// Note: this explicit type is needed, otherwise TS creates broken types.
/** @type {ReturnType<createH>} */
const h = createH.createH(index.html, 'div');

// Note: this explicit type is needed, otherwise TS creates broken types.
/** @type {ReturnType<createH>} */
createH.createH(index.svg, 'g', svgCaseSensitiveTagNames.svgCaseSensitiveTagNames);

exports.h = h;
